package info.kramann.vr;


import ketai.camera.*;
import processing.core.*;


public class KameraAndroid implements iKamera
{
    KetaiCamera cam;

    PImage ersatzbild;

    public PImage holeKamerabild()
    {
          if(cam!=null && cam.isStarted())
          {
             cam.read();
             return cam;
          }
          else if(cam!=null && !cam.isStarted())
          {
             cam.start();
             return ersatzbild;
          }
          else
          {
             return ersatzbild;
          }
    }
    public void starteKamera(PApplet pap)
    {
          starteKamera(pap,0,640,480,30);
    }
    public void starteKamera(PApplet pap,int video_nr, int breite, int hoehe, int fps)
    {
          cam = new KetaiCamera(pap, breite, hoehe, fps);
          ersatzbild = new PImage(breite,hoehe);
          ersatzbild.updatePixels();
          int[] pixel = ersatzbild.pixels;
          for(int i=0;i<pixel.length;i++)
              pixel[i]=0;
          ersatzbild.updatePixels();
              
          int nr = cam.getCameraID();
          if(cam!=null && nr != video_nr && video_nr < cam.getNumberOfCameras())
          {
              cam.setCameraID(video_nr);
          }
//          if(cam!=null)
//              cam.start();
    }
    public void stoppeKamera()
    {
        if (cam!=null && cam.isStarted())
        {
           cam.stop();
        }      
    }
}
